Bug 197018 - mysql-administrator conflicts with yum update
mysql-administrator conflicts with yum update
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mysql-gui-tools (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 23:02 EDT by Leo Lopes
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 07:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leo Lopes 2006-06-27 23:02:55 EDT
Description of problem:

If mysql-administrator-1.1.10-1.fc4 is installed, 'yum -y update' fails with:

--> Running transaction check
--> Processing Dependency: libatkmm-1.6.so.1 for package: mysql-administrator
--> Finished Dependency Resolution
Error: Missing Dependency: libatkmm-1.6.so.1 is needed by package
mysql-administrator


Version-Release number of selected component (if applicable):
mysql-administrator-1.1.10-1.fc4


How reproducible:


Steps to Reproduce:
1. install mysql-administrator
2. yum -y update
  
Actual results:

[root@senna site-packages]# yum -y update
Setting up Update Process
Setting up repositories
jpackage-fc               100% |=========================|  951 B    00:00
jpackage-generic          100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 431 kB    00:01
updates-re: ################################################## 1176/1176
Added 6 new packages, deleted 0 old in 4.54 seconds
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for tkinter to pack into transaction set.
tkinter-2.4.3-8.FC4.i386. 100% |=========================|  26 kB    00:00
---> Package tkinter.i386 0:2.4.3-8.FC4 set to be updated
---> Downloading header for python-docs to pack into transaction set.
python-docs-2.4.3-0.9.FC4 100% |=========================| 202 kB    00:00
---> Package python-docs.noarch 0:2.4.3-0.9.FC4 set to be updated
---> Downloading header for python to pack into transaction set.
python-2.4.3-8.FC4.i386.r 100% |=========================| 259 kB    00:00
---> Package python.i386 0:2.4.3-8.FC4 set to be updated
---> Package gtkmm24.i386 0:2.6.9-2.fc4 set to be updated
---> Package glibmm24.i386 0:2.6.5-1 set to be updated
---> Downloading header for python-tools to pack into transaction set.
python-tools-2.4.3-8.FC4. 100% |=========================|  71 kB    00:00
---> Package python-tools.i386 0:2.4.3-8.FC4 set to be updated
---> Downloading header for python-devel to pack into transaction set.
python-devel-2.4.3-8.FC4. 100% |=========================|  86 kB    00:00
---> Package python-devel.i386 0:2.4.3-8.FC4 set to be updated
---> Package kile.i386 0:1.9.1-1.fc4 set to be updated
--> Running transaction check
--> Processing Dependency: libatkmm-1.6.so.1 for package: mysql-administrator
--> Finished Dependency Resolution
Error: Missing Dependency: libatkmm-1.6.so.1 is needed by package
mysql-administrator
[root@senna site-packages]# rpm -q mysql-administrator
mysql-administrator-1.1.10-1.fc4


Expected results:

update process should work.
Comment 1 Tom Lane 2006-06-27 23:58:53 EDT
Reassigning: afaics this is not related to the core mysql package.
Comment 2 Dennis Gilmore 2006-06-28 07:42:39 EDT
Closing there was a gtkmm update  that no longer provided libatkmm-1.6.so.1  
mysql-administrator needed a rebuild which it has had.   The update will be 
released in the next set released.
Comment 3 Dennis Gilmore 2007-04-11 11:35:11 EDT
sorry for the noise reassigning all mysql-administrator bugs to 
mysql-gui-tools

Note You need to log in before you can comment on or make changes to this bug.